// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLDR的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLDR_NAME = grmi.NewField("NAME", "[EOLDR].NAME", "name", grmi.TypeString)
var EOLDR_CODE = grmi.NewField("CODE", "[EOLDR].CODE", "code", grmi.TypeString)
var EOLDR_TESTDATA = grmi.NewField("TESTDATA", "[EOLDR].TESTDATA", "testdata", grmi.TypeDateTime)
var EOLDR_SAB = grmi.NewField("SAB", "[EOLDR].SAB", "sab", grmi.TypeString)
var EOLDR_SABRESULT = grmi.NewField("SABRESULT", "[EOLDR].SABRESULT", "sabresult", grmi.TypeString)
var EOLDR_SBRNOLOAD = grmi.NewField("SBRNOLOAD", "[EOLDR].SBRNOLOAD", "sbrnoload", grmi.TypeString)
var EOLDR_SBRLOAD = grmi.NewField("SBRLOAD", "[EOLDR].SBRLOAD", "sbrload", grmi.TypeString)
var EOLDR_SBRRESULT = grmi.NewField("SBRRESULT", "[EOLDR].SBRRESULT", "sbrresult", grmi.TypeString)
var EOLDR_BUCKLERESULT = grmi.NewField("BUCKLERESULT", "[EOLDR].BUCKLERESULT", "buckleresult", grmi.TypeString)
var EOLDR_VENT = grmi.NewField("VENT", "[EOLDR].VENT", "vent", grmi.TypeString)
var EOLDR_VENTNOISE = grmi.NewField("VENTNOISE", "[EOLDR].VENTNOISE", "ventnoise", grmi.TypeString)
var EOLDR_VENTRESULT = grmi.NewField("VENTRESULT", "[EOLDR].VENTRESULT", "ventresult", grmi.TypeString)
var EOLDR_HEATER = grmi.NewField("HEATER", "[EOLDR].HEATER", "heater", grmi.TypeString)
var EOLDR_HEATERRESULT = grmi.NewField("HEATERRESULT", "[EOLDR].HEATERRESULT", "heaterresult", grmi.TypeString)
var EOLDR_LAMBARFORWARD = grmi.NewField("LAMBARFORWARD", "[EOLDR].LAMBARFORWARD", "lambarforward", grmi.TypeString)
var EOLDR_LAMBARBACKWARD = grmi.NewField("LAMBARBACKWARD", "[EOLDR].LAMBARBACKWARD", "lambarbackward", grmi.TypeString)
var EOLDR_LAMBARNOISE = grmi.NewField("LAMBARNOISE", "[EOLDR].LAMBARNOISE", "lambarnoise", grmi.TypeString)
var EOLDR_LAMBARRESULT = grmi.NewField("LAMBARRESULT", "[EOLDR].LAMBARRESULT", "lambarresult", grmi.TypeString)
var EOLDR_TRACKFORWARD = grmi.NewField("TRACKFORWARD", "[EOLDR].TRACKFORWARD", "trackforward", grmi.TypeString)
var EOLDR_TRACKBACKWARD = grmi.NewField("TRACKBACKWARD", "[EOLDR].TRACKBACKWARD", "trackbackward", grmi.TypeString)
var EOLDR_TRACKNOISE = grmi.NewField("TRACKNOISE", "[EOLDR].TRACKNOISE", "tracknoise", grmi.TypeString)
var EOLDR_TRACKRESULT = grmi.NewField("TRACKRESULT", "[EOLDR].TRACKRESULT", "trackresult", grmi.TypeString)
var EOLDR_RECLINEFORWARD = grmi.NewField("RECLINEFORWARD", "[EOLDR].RECLINEFORWARD", "reclineforward", grmi.TypeString)
var EOLDR_RECLINEBACKWARD = grmi.NewField("RECLINEBACKWARD", "[EOLDR].RECLINEBACKWARD", "reclinebackward", grmi.TypeString)
var EOLDR_RECLINENOISE = grmi.NewField("RECLINENOISE", "[EOLDR].RECLINENOISE", "reclinenoise", grmi.TypeString)
var EOLDR_RECLINERESULT = grmi.NewField("RECLINERESULT", "[EOLDR].RECLINERESULT", "reclineresult", grmi.TypeString)
var EOLDR_TILTDOWN = grmi.NewField("TILTDOWN", "[EOLDR].TILTDOWN", "tiltdown", grmi.TypeString)
var EOLDR_TILTUP = grmi.NewField("TILTUP", "[EOLDR].TILTUP", "tiltup", grmi.TypeString)
var EOLDR_TILTNOISE = grmi.NewField("TILTNOISE", "[EOLDR].TILTNOISE", "tiltnoise", grmi.TypeString)
var EOLDR_TILTRESULT = grmi.NewField("TILTRESULT", "[EOLDR].TILTRESULT", "tiltresult", grmi.TypeString)
var EOLDR_HEIGHTDOWN = grmi.NewField("HEIGHTDOWN", "[EOLDR].HEIGHTDOWN", "heightdown", grmi.TypeString)
var EOLDR_HEIGHTUP = grmi.NewField("HEIGHTUP", "[EOLDR].HEIGHTUP", "heightup", grmi.TypeString)
var EOLDR_HEIGHTNOISE = grmi.NewField("HEIGHTNOISE", "[EOLDR].HEIGHTNOISE", "heightnoise", grmi.TypeString)
var EOLDR_HEIGHTRESULT = grmi.NewField("HEIGHTRESULT", "[EOLDR].HEIGHTRESULT", "heightresult", grmi.TypeString)
var EOLDR_FOOTLAMP = grmi.NewField("FOOTLAMP", "[EOLDR].FOOTLAMP", "footlamp", grmi.TypeString)
var EOLDR_FOOTLAMPRESULT = grmi.NewField("FOOTLAMPRESULT", "[EOLDR].FOOTLAMPRESULT", "footlampresult", grmi.TypeString)
var EOLDR_INITIALIZERESULT = grmi.NewField("INITIALIZERESULT", "[EOLDR].INITIALIZERESULT", "initializeresult", grmi.TypeString)
var EOLDR_DTCRESULT = grmi.NewField("DTCRESULT", "[EOLDR].DTCRESULT", "dtcresult", grmi.TypeString)
var EOLDR_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOLDR].TOTALRESULT", "totalresult", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : EOLDR的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLDR = grmi.NewEntity(
	"EOLDR",
	func() interface{} { return &model.EOLDR{} },
	map[string]grmi.Field{
		EOLDR_NAME.Name:             EOLDR_NAME,
		EOLDR_CODE.Name:             EOLDR_CODE,
		EOLDR_TESTDATA.Name:         EOLDR_TESTDATA,
		EOLDR_SAB.Name:              EOLDR_SAB,
		EOLDR_SABRESULT.Name:        EOLDR_SABRESULT,
		EOLDR_SBRNOLOAD.Name:        EOLDR_SBRNOLOAD,
		EOLDR_SBRLOAD.Name:          EOLDR_SBRLOAD,
		EOLDR_SBRRESULT.Name:        EOLDR_SBRRESULT,
		EOLDR_BUCKLERESULT.Name:     EOLDR_BUCKLERESULT,
		EOLDR_VENT.Name:             EOLDR_VENT,
		EOLDR_VENTNOISE.Name:        EOLDR_VENTNOISE,
		EOLDR_VENTRESULT.Name:       EOLDR_VENTRESULT,
		EOLDR_HEATER.Name:           EOLDR_HEATER,
		EOLDR_HEATERRESULT.Name:     EOLDR_HEATERRESULT,
		EOLDR_LAMBARFORWARD.Name:    EOLDR_LAMBARFORWARD,
		EOLDR_LAMBARBACKWARD.Name:   EOLDR_LAMBARBACKWARD,
		EOLDR_LAMBARNOISE.Name:      EOLDR_LAMBARNOISE,
		EOLDR_LAMBARRESULT.Name:     EOLDR_LAMBARRESULT,
		EOLDR_TRACKFORWARD.Name:     EOLDR_TRACKFORWARD,
		EOLDR_TRACKBACKWARD.Name:    EOLDR_TRACKBACKWARD,
		EOLDR_TRACKNOISE.Name:       EOLDR_TRACKNOISE,
		EOLDR_TRACKRESULT.Name:      EOLDR_TRACKRESULT,
		EOLDR_RECLINEFORWARD.Name:   EOLDR_RECLINEFORWARD,
		EOLDR_RECLINEBACKWARD.Name:  EOLDR_RECLINEBACKWARD,
		EOLDR_RECLINENOISE.Name:     EOLDR_RECLINENOISE,
		EOLDR_RECLINERESULT.Name:    EOLDR_RECLINERESULT,
		EOLDR_TILTDOWN.Name:         EOLDR_TILTDOWN,
		EOLDR_TILTUP.Name:           EOLDR_TILTUP,
		EOLDR_TILTNOISE.Name:        EOLDR_TILTNOISE,
		EOLDR_TILTRESULT.Name:       EOLDR_TILTRESULT,
		EOLDR_HEIGHTDOWN.Name:       EOLDR_HEIGHTDOWN,
		EOLDR_HEIGHTUP.Name:         EOLDR_HEIGHTUP,
		EOLDR_HEIGHTNOISE.Name:      EOLDR_HEIGHTNOISE,
		EOLDR_HEIGHTRESULT.Name:     EOLDR_HEIGHTRESULT,
		EOLDR_FOOTLAMP.Name:         EOLDR_FOOTLAMP,
		EOLDR_FOOTLAMPRESULT.Name:   EOLDR_FOOTLAMPRESULT,
		EOLDR_INITIALIZERESULT.Name: EOLDR_INITIALIZERESULT,
		EOLDR_DTCRESULT.Name:        EOLDR_DTCRESULT,
		EOLDR_TOTALRESULT.Name:      EOLDR_TOTALRESULT,

	},
	[]string{},
	[]string{"NAME", "CODE", "TESTDATA", "SAB", "SABRESULT", "SBRNOLOAD", "SBRLOAD", "SBRRESULT", "BUCKLERESULT", "VENT", "VENTNOISE", "VENTRESULT", "HEATER", "HEATERRESULT", "LAMBARFORWARD", "LAMBARBACKWARD", "LAMBARNOISE", "LAMBARRESULT", "TRACKFORWARD", "TRACKBACKWARD", "TRACKNOISE", "TRACKRESULT", "RECLINEFORWARD", "RECLINEBACKWARD", "RECLINENOISE", "RECLINERESULT", "TILTDOWN", "TILTUP", "TILTNOISE", "TILTRESULT", "HEIGHTDOWN", "HEIGHTUP", "HEIGHTNOISE", "HEIGHTRESULT", "FOOTLAMP", "FOOTLAMPRESULT", "INITIALIZERESULT", "DTCRESULT", "TOTALRESULT"})
